%define major 4
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
%define staticname %mklibname %{name} -d -s

Name: openbabel
Version: 2.3.2
Release: %mkrel 3
Summary: Chemistry software file format converter
License: GPLv2+
Group: Sciences/Chemistry
URL: http://openbabel.org
Source: http://downloads.sourceforge.net/%name/%{name}-%{version}.tar.gz
Source1: openbabelgui.desktop
Patch0: openbabel-2.3.2-python-install-dir.patch
Patch1: %{name}-rpm.patch
Patch2: openbabel-2.3.1-ruby-path.patch
Patch3: openbabel-2.3.1-gcc47-darwin.patch
# fix plugin directory location (#680292, patch by lg)
Patch4: openbabel-2.3.0-plugindir.patch
Patch5: openbabel-2.3.2-cmake.patch
BuildRequires: desktop-file-utils
BuildRequires: imagemagick
BuildRequires: inchi-devel >= 1.0.4
BuildRequires: doxygen 
BuildRequires: wxgtku2.8-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: eigen2
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: swig
BuildRequires: cmake
Requires: %{libname} = %{version}

%description
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

%package	-n %{libname}
Summary:        Shared libraries of %{name}
Group:          System/Libraries

%description	-n %{libname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package contains shared libraries of %{name}.

%package	-n %{develname}
Summary:        Development files of %{name}
Group:          Development/C++
Requires:	%{libname} = %{version}
Requires:	inchi-devel >= 1.0.4
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{staticname} < 2.3.0
Obsoletes: %mklibname %{name} 2 -d 
Obsoletes: %mklibname %{name} 3 -d 

%description	-n %{develname}
Open Babel is a project designed to pick up where Babel left off, 
as a cross-platform program and library designed to interconvert 
between many file formats used in molecular modeling and computational
chemistry.

This package includes the header files and other development
related files necessary for developing or compiling programs
using the %{name} library.

%package -n perl-%{name}
Group: Development/Perl
Summary: Perl wrapper for the Open Babel library

%description -n perl-%{name}
Perl wrapper for the Open Babel library.

%package -n python-%{name}
Group: Development/Python
Summary: Python wrapper for the Open Babel library

%description -n python-%{name}
Python wrapper for the Open Babel library.

%package -n ruby-%{name}
Summary: Ruby wrapper for the Open Babel library
Group: Development/Ruby
Requires: %{name} = %{version}-%{release}

%description -n ruby-%{name}
Ruby wrapper for the Open Babel library.

%prep
%setup -q
%apply_patches
convert src/GUI/babel.xpm -transparent white babel.png

%build
%cmake \
 -DENABLE_TESTS:BOOL=OFF \
 -DBUILD_GUI:BOOL=ON \
 -DENABLE_VERSIONED_FORMATS=false \
 -DPYTHON_BINDINGS:BOOL=ON \
 -DPERL_BINDINGS:BOOL=ON \
 -DRUBY_BINDINGS:BOOL=ON \
 -DOPENBABEL_USE_SYSTEM_INCHI=ON
%make

%install
touch scripts/CMakeLists.txt
%makeinstall_std -C build
chmod 0755 %{buildroot}%{perl_vendorarch}/auto/Chemistry/OpenBabel/OpenBabel.so
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
install -Dpm644 babel.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/babel.png

%files
%doc AUTHORS COPYING ChangeLog README THANKS
%doc doc/*.html doc/diox* doc/README*
%{_bindir}/*
%{_mandir}/man?/*
%{_datadir}/%{name}
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{develname}
%{_includedir}/*
%{_libdir}/cmake/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so

%files -n perl-%{name}
%{perl_vendorarch}/*

%files -n python-%{name}
%{python_sitearch}/*

%files -n ruby-%{name}
%{ruby_sitearchdir}/openbabel.so


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.3.2-3.mga4
+ Revision: 538736
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.3.2-2.mga4
+ Revision: 482943
- rebuild for ruby 2.0

* Sat Aug 17 2013 fwang <fwang> 2.3.2-1.mga4
+ Revision: 467105
- strip whitespace
- install python binding into correct dir
- update file list
- add fedora patch to fix cmake script
- new version 2.3.2

* Wed May 29 2013 fwang <fwang> 2.3.1-5.mga4
+ Revision: 430422
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 2.3.1-4.mga3
+ Revision: 361909
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 fwang <fwang> 2.3.1-3.mga3
+ Revision: 314329
- add fedora patch to have it built
- fix ruby inc path
- more inlclude dir fix
- specify correct includedir

  + jquelin <jquelin>
    - perl 5.16 rebuild

  + gil <gil>
    - edit cmake option remove java bindings
    - rebuilt with inchi 1.0.4 support
      added desktop entry

* Sun Dec 04 2011 fwang <fwang> 2.3.1-1.mga2
+ Revision: 176164
- sync with fedora patches
  fix build with builddir  srcdir
- new version 2.3.1

* Sun Oct 02 2011 fwang <fwang> 2.3.0-1.mga2
+ Revision: 150856
- new version 2.3.0 (sync with mandriva)

* Wed Sep 21 2011 fwang <fwang> 2.2.3-9.mga2
+ Revision: 146362
- drop .la files

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Mar 24 2011 boklm <boklm> 2.2.3-7.mga1
+ Revision: 76196
- rebuild for bug #497

* Wed Mar 16 2011 mikala <mikala> 2.2.3-6.mga1
+ Revision: 72651
- Remove wrong provides openbabel in the lib package (thks to blino)
- Remove BuildRoot

* Sun Jan 23 2011 ahmad <ahmad> 2.2.3-5.mga1
+ Revision: 35384
- drop old/unneeded scriptlets
- imported package openbabel


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-4mdv2011.0
+ Revision: 607013
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.3-3mdv2010.1
+ Revision: 523516
- rebuilt for 2010.1

* Wed Aug 05 2009 Funda Wang <fwang@mandriva.org> 2.2.3-2mdv2010.0
+ Revision: 409924
- add virtual provides

* Tue Aug 04 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.3-1mdv2010.0
+ Revision: 409361
- Fix file list
- Don't use unrecognized --enable-doxygen configure option
- Unbreak the static-devel package name
- Update to new version 2.3.3

* Sun Jul 12 2009 Frederik Himpe <fhimpe@mandriva.org> 2.2.2-1mdv2010.0
+ Revision: 395300
- Update to new version 2.2.2

* Wed Apr 01 2009 Antoine Ginies <aginies@mandriva.com> 2.2.1-2mdv2009.1
+ Revision: 363406
- add missing file (remove by error)
- restore the static-devel package

* Mon Mar 02 2009 Emmanuel Andry <eandry@mandriva.org> 2.2.1-1mdv2009.1
+ Revision: 347008
- New version 2.2.1
- drop redundant BR

* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 2.2.0-5mdv2009.0
+ Revision: 277286
- There's still devel packages with soname installed in some boxes

* Wed Aug 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2.0-4mdv2009.0
+ Revision: 276620
- Fix file list
  Fix configure
- Enhance configure
  fix file list  ( Bug #42549 )

* Wed Aug 27 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2.0-3mdv2009.0
+ Revision: 276462
- Add libxml2-devel As buildrequire

* Sun Aug 10 2008 Emmanuel Andry <eandry@mandriva.org> 2.2.0-2mdv2009.0
+ Revision: 270542
- New version
- fix license
- apply devel policy
- fix major
- major check
- static-devel is not built anymore

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 2.2.0-2.b5.1mdv2009.0
+ Revision: 265231
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Jun 05 2008 Helio Chissini de Castro <helio@mandriva.com> 2.2.0-0.b5.1mdv2009.0
+ Revision: 216196
- New upstream beta version required for current kdeedu4

* Fri Apr 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.2.0-0.b4.1mdv2009.0
+ Revision: 195522
- Update tp 2.2.0 Beta4 (needed by kdeedu4)

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.1.1-1mdv2008.1
+ Revision: 136634
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 09 2007 Austin Acton <austin@mandriva.org> 2.1.1-1mdv2008.0
+ Revision: 50762
- new version

* Wed May 09 2007 Austin Acton <austin@mandriva.org> 2.1.0-2mdv2008.0
+ Revision: 25785
- fix major

* Tue Apr 17 2007 Laurent Montel <lmontel@mandriva.org> 2.1.0-1mdv2007.1
+ Revision: 13613
- 2.1.0 (need by kalzium4)


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.2-1mdv2007.0
+ Revision: 125461
- New version 2.0.2

  + Jérôme Soyer <saispo@mandriva.org>
    - Import openbabel

* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-2mdv2007.0
- rebuild

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 2.0.1-1mdk
- 2.0.1
- remove patch merged upstream

* Tue Jan 17 2006 Lenny Cartier <lenny@mandriva.com> 2.0.0-1mdk
- 2.0.0
- used patch from website to fix gcc4 compilation

* Fri Jul 08 2005 Lenny Cartier <lenny@mandriva.com> 1.100.2-3mdk
- rebuild

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.100.2-2mdk
- Drop patch0 (not needed)
- Rebuild with new gcc

* Tue May 04 2004 Austin Acton <austin@mandrake.org> 1.100.2-1mdk
- 1.100.2

